Instant Messenger??

Discussion in 'Ruby' started by Pat Kiatchaipipat, Mar 31, 2008.

  1. Hello. I want use Ruby to make Instant Messenger. Where can I study
    about how to make it?? It can possible to make??

    thank you for the answer :')
    --
    Posted via http://www.ruby-forum.com/.
     
    Pat Kiatchaipipat, Mar 31, 2008
    #1
    1. Advertising

  2. On Mon, Mar 31, 2008 at 09:54:09PM +0900, Pat Kiatchaipipat wrote:
    > Hello. I want use Ruby to make Instant Messenger. Where can I study
    > about how to make it?? It can possible to make??


    gem install ruburple
    http://rubyforge.org/projects/ruburple/

    > thank you for the answer :')

    --Greg
     
    Gregory Seidman, Mar 31, 2008
    #2
    1. Advertising

  3. Pat Kiatchaipipat, Mar 31, 2008
    #3
  4. On Mon, Mar 31, 2008 at 10:11:54PM +0900, Pat Kiatchaipipat wrote:
    > thank you! where is tutorial of ruburple?? :)


    I know of no tutorial. Google for information. Read the README. Dig around.
    I figured it out when I was doing stuff with it some time ago, and I think
    I posted some sample code some months back.

    --Greg
     
    Gregory Seidman, Mar 31, 2008
    #4
  5. I try to install but I can't it show me an error message.




    Bulk updating Gem source index for: http://gems.rubyforge.org
    Building native extensions. This could take a while...
    ERROR: While executing gem ... (Gem::Installer::ExtensionBuildError)
    ERROR: Failed to build gem native extension.

    ruby extconf.rb install ruburple -y
    checking for pkg-config... no
    --------------------------------------------------
    extconf failure: pkg-config needed
    --------------------------------------------------
    *** extconf.rb failed ***
    Could not create Makefile due to some reason, probably lack of
    necessary libraries and/or headers. Check the mkmf.log file for more
    details. You may need configuration options.

    Provided configuration options:
    --with-opt-dir
    --without-opt-dir
    --with-opt-include
    --without-opt-include=${opt-dir}/include
    --with-opt-lib
    --without-opt-lib=${opt-dir}/lib
    --with-make-prog
    --srcdir=.
    --curdir
    --ruby=c:/ruby/bin/ruby

    Gem files will remain installed in
    c:/ruby/lib/ruby/gems/1.8/gems/ruburple-0.0.8
    for inspection.
    Results logged to
    c:/ruby/lib/ruby/gems/1.8/gems/ruburple-0.0.8/ext/gem_make.out


    How can I install pkg-config?? I use window xp and can't apt-get like
    linux :'(
    --
    Posted via http://www.ruby-forum.com/.
     
    Pat Kiatchaipipat, Mar 31, 2008
    #5
  6. On Mon, Mar 31, 2008 at 11:13:01PM +0900, Pat Kiatchaipipat wrote:
    > I try to install but I can't it show me an error message.
    >
    > Bulk updating Gem source index for: http://gems.rubyforge.org
    > Building native extensions. This could take a while...
    > ERROR: While executing gem ... (Gem::Installer::ExtensionBuildError)
    > ERROR: Failed to build gem native extension.
    >
    > ruby extconf.rb install ruburple -y
    > checking for pkg-config... no
    > --------------------------------------------------
    > extconf failure: pkg-config needed
    > --------------------------------------------------

    [...]
    > How can I install pkg-config?? I use window xp and can't apt-get like
    > linux :'(


    I don't use Windows. Maybe someone else can help you.

    --Greg
     
    Gregory Seidman, Mar 31, 2008
    #6
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Colin Tiernan

    Instant messenger feature?

    Colin Tiernan, Nov 14, 2005, in forum: ASP .Net
    Replies:
    0
    Views:
    387
    Colin Tiernan
    Nov 14, 2005
  2. soni29
    Replies:
    1
    Views:
    490
    Centurion
    Nov 7, 2003
  3. Mike
    Replies:
    1
    Views:
    556
    Alex Hunsley
    Jan 9, 2004
  4. Nobody
    Replies:
    0
    Views:
    1,536
    Nobody
    Sep 21, 2005
  5. =?Utf-8?B?UkdUdWNzb24=?=

    MSN Live messenger obligatory upgrade from msn messenger

    =?Utf-8?B?UkdUdWNzb24=?=, Sep 19, 2007, in forum: ASP .Net
    Replies:
    0
    Views:
    587
    =?Utf-8?B?UkdUdWNzb24=?=
    Sep 19, 2007
Loading...

Share This Page